package smash.appointment.parse;

import static org.junit.Assert.*;

import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class LihControlMappingParserTest extends TestBase {
	Logger						logger		= Logger.getLogger(LihControlMappingParserTest.class);

	LihControlMappingParser processor	= new LihControlMappingParser();


	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp()  {
		super.setUp();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() throws Exception {
		List<Subject> entries = processor.processExcel("testFiles/lihControlMappingExample.xlsx");
		assertTrue(entries.size() > 0);

		Subject subject = entries.get(0);
		assertEquals("L-001", subject.getScreeningNumber());
		assertEquals("Piotrek", subject.getName());
		assertEquals("Gawron", subject.getSurname());
		assertEquals("", subject.getAddress());
		assertEquals("", subject.getZipCode());
		assertEquals("", subject.getCity());
		assertEquals("", subject.getCountry());
		assertEquals("343", subject.getPhone1());
		assertEquals("", subject.getPhone2());
		assertEquals("", subject.getPhone3());
		assertEquals("", subject.getMail());
		assertEquals("", subject.getDiagnosisYear());
		assertEquals("", subject.getDiagnosis());
		assertEquals("", subject.getReferal());
		assertEquals("2015-08-03", subject.getAddDate());
		assertEquals("ND3333", subject.getNdNumber());
		assertEquals("", subject.getBirthDate());
	}


}
