package smash.appointment.parse;

import static org.junit.Assert.*;

import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class LihControlParserTest extends TestBase {
	Logger						logger		= Logger.getLogger(LihControlParserTest.class);

	LihControlParser processor	= new LihControlParser();


	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp()  {
		super.setUp();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() throws Exception {
		List<Subject> entries = processor.processExcel("testFiles/lihControlExample.xlsx");
		assertTrue(entries.size() > 0);

		Subject subject = entries.get(0);
		assertEquals("L-001", subject.getScreeningNumber());
		assertEquals("Name", subject.getName());
		assertEquals("Surname", subject.getSurname());
		assertTrue(subject.getRemarks().contains("001 rdv 01/09/2015 9h jyf"));
		assertTrue(subject.getRemarks().contains("PD family relation=pd info"));		
		assertEquals("11, Rue blabla", subject.getAddress());
		assertEquals("L-3322", subject.getZipCode());
		assertEquals("Luxembourg", subject.getCity());
		assertEquals("", subject.getCountry());
		assertEquals("123456789", subject.getPhone1());
		assertEquals("321654", subject.getPhone2());
		assertEquals("", subject.getPhone3());
		assertEquals("email@pt.lu", subject.getMail());
		assertEquals("", subject.getDiagnosisYear());
		assertEquals("", subject.getDiagnosis());
		assertEquals("", subject.getReferal());
		assertEquals("", subject.getAddDate());
		assertEquals("", subject.getNdNumber());
		assertEquals("1937-01-03", subject.getBirthDate());
		assertTrue(subject.getRemarks().contains("some other remark"));		
		assertTrue(subject.getRemarks().contains("at home: NMS + RFQ 1 + RFQ 2 + REM + PDSS: manque une page ds RFQ => Linda pr level b 09/09/15"));		
		assertTrue(subject.getLanguages().contains("French"));		
		assertTrue(subject.getLanguages().contains("German"));		
	}


}
